de.esprit.common.lic

## Enum LicenseType

- java.lang.Object
- - java.lang.Enum<LicenseType>
  - - de.esprit.common.lic.LicenseType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LicenseType>

      public enum LicenseType
      extends java.lang.Enum<LicenseType>

  Defines the available license types
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAGIC`
    `SITE`
    `USER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LicenseType` | `fromString(java.lang.String licType)`
    `static LicenseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LicenseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAGIC

          public static final LicenseType MAGIC

    - #### SITE

          public static final LicenseType SITE

    - #### USER

          public static final LicenseType USER

  - ### Method Detail

    - #### values

          public static LicenseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LicenseType c : LicenseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LicenseType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static LicenseType fromString(java.lang.String licType)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.